<?php
/**
 * The front page template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blog Talk
 */

get_header();

// Call home.php if Homepage setting is set to latest posts.
if ( blog_talk_is_latest_posts() ) {

	require get_home_template();

} elseif ( blog_talk_is_frontpage() ) {

	if ( empty( get_theme_mod( 'blog_talk_homepage_sortable_sections' ) ) ) {
		$sorted_sections = array( 'slider', 'posts-carousel', 'popular-posts' );
	} else {
		$sorted_sections = get_theme_mod( 'blog_talk_homepage_sortable_sections' );
	}
	foreach ( $sorted_sections as $sorted_section ) {
		require get_template_directory() . '/inc/frontpage-sections/' . $sorted_section . '.php';
	}
}

get_footer();
