<?php

/**
 * Font section
 */

// Font section.
$wp_customize->add_section(
	'blog_talk_font_options',
	array(
		'title' => esc_html__( 'Font ( Typography ) Options', 'blog-talk' ),
		'panel' => 'blog_talk_theme_options_panel',
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'blog_talk_site_title_font',
	array(
		'default'           => '',
		'sanitize_callback' => 'blog_talk_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'blog_talk_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'blog-talk' ),
		'section'  => 'blog_talk_font_options',
		'settings' => 'blog_talk_site_title_font',
		'type'     => 'select',
		'choices'  => blog_talk_font_choices(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'blog_talk_site_description_font',
	array(
		'default'           => '',
		'sanitize_callback' => 'blog_talk_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'blog_talk_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'blog-talk' ),
		'section'  => 'blog_talk_font_options',
		'settings' => 'blog_talk_site_description_font',
		'type'     => 'select',
		'choices'  => blog_talk_font_choices(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'blog_talk_header_font',
	array(
		'default'           => '',
		'sanitize_callback' => 'blog_talk_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'blog_talk_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'blog-talk' ),
		'section'  => 'blog_talk_font_options',
		'settings' => 'blog_talk_header_font',
		'type'     => 'select',
		'choices'  => blog_talk_font_choices(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'blog_talk_body_font',
	array(
		'default'           => '',
		'sanitize_callback' => 'blog_talk_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'blog_talk_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'blog-talk' ),
		'section'  => 'blog_talk_font_options',
		'settings' => 'blog_talk_body_font',
		'type'     => 'select',
		'choices'  => blog_talk_font_choices(),
	)
);
