<?php
/**
 * Loader setting
 */

// Page Loader setting.
$wp_customize->add_section(
	'blog_talk_page_loader',
	array(
		'title' => esc_html__( 'Page Loader', 'blog-talk' ),
		'panel' => 'blog_talk_theme_options_panel',
	)
);

// Page Loader enable setting.
$wp_customize->add_setting(
	'blog_talk_page_loader_enable',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_page_loader_enable',
		array(
			'label'    => esc_html__( 'Enable Page Loader.', 'blog-talk' ),
			'settings' => 'blog_talk_page_loader_enable',
			'section'  => 'blog_talk_page_loader',
			'type'     => 'checkbox',
		)
	)
);

// Page Loader - Loader Style.
$wp_customize->add_setting(
	'blog_talk_loader_type',
	array(
		'default'           => 'pre-loader-6',
		'sanitize_callback' => 'blog_talk_sanitize_select',
	)
);

$wp_customize->add_control(
	'blog_talk_loader_type',
	array(
		'label'           => esc_html__( 'Loader Style', 'blog-talk' ),
		'section'         => 'blog_talk_page_loader',
		'type'            => 'select',
		'choices'         => array(
			'pre-loader-1' => __( 'Style 1', 'blog-talk' ),
			'pre-loader-2' => __( 'Style 2', 'blog-talk' ),
			'pre-loader-3' => __( 'Style 3', 'blog-talk' ),
			'pre-loader-4' => __( 'Style 4', 'blog-talk' ),
			'pre-loader-5' => __( 'Style 5', 'blog-talk' ),
			'pre-loader-6' => __( 'Style 6', 'blog-talk' ),
			'pre-loader-7' => __( 'Style 7', 'blog-talk' ),
		),
		'active_callback' => function( $control ) {
			return ( $control->manager->get_setting( 'blog_talk_page_loader_enable' )->value() );
		},
	)
);
