<?php
/**
 * Single Post Options
 */

$wp_customize->add_section(
	'blog_talk_single_page_options',
	array(
		'title' => esc_html__( 'Single Post Options', 'blog-talk' ),
		'panel' => 'blog_talk_theme_options_panel',
	)
);

// Enable single post category setting.
$wp_customize->add_setting(
	'blog_talk_enable_single_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_enable_single_category',
		array(
			'label'    => esc_html__( 'Enable Category', 'blog-talk' ),
			'settings' => 'blog_talk_enable_single_category',
			'section'  => 'blog_talk_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post author setting.
$wp_customize->add_setting(
	'blog_talk_enable_single_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_enable_single_author',
		array(
			'label'    => esc_html__( 'Enable Author', 'blog-talk' ),
			'settings' => 'blog_talk_enable_single_author',
			'section'  => 'blog_talk_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post date setting.
$wp_customize->add_setting(
	'blog_talk_enable_single_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_enable_single_date',
		array(
			'label'    => esc_html__( 'Enable Date', 'blog-talk' ),
			'settings' => 'blog_talk_enable_single_date',
			'section'  => 'blog_talk_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post tag setting.
$wp_customize->add_setting(
	'blog_talk_enable_single_tag',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_enable_single_tag',
		array(
			'label'    => esc_html__( 'Enable Post Tag', 'blog-talk' ),
			'settings' => 'blog_talk_enable_single_tag',
			'section'  => 'blog_talk_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Enable single post related Posts setting.
$wp_customize->add_setting(
	'blog_talk_enable_related_post_section',
	array(
		'default'           => true,
		'sanitize_callback' => 'blog_talk_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new Blog_Talk_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'blog_talk_enable_related_post_section',
		array(
			'label'    => esc_html__( 'Enable Related Posts', 'blog-talk' ),
			'settings' => 'blog_talk_enable_related_post_section',
			'section'  => 'blog_talk_single_page_options',
			'type'     => 'checkbox',
		)
	)
);

// Single post related Posts title label.
$wp_customize->add_setting(
	'blog_talk_related_posts_title',
	array(
		'default'           => __( 'Related Posts', 'blog-talk' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'blog_talk_related_posts_title',
	array(
		'label'    => esc_html__( 'Related Posts Title', 'blog-talk' ),
		'section'  => 'blog_talk_single_page_options',
		'settings' => 'blog_talk_related_posts_title',
		'active_callback' => function( $control ) {
			return ( $control->manager->get_setting( 'blog_talk_enable_related_post_section' )->value() ) === true;
		},
	)
);
